Page MenuHomePhabricator

AMDGPU/SI: Add a MachineMemOperand when lowering llvm.amdgcn.buffer.load.*
ClosedPublic

Authored by tstellarAMD on Dec 15 2016, 5:04 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

tstellarAMD retitled this revision from to AMDGPU/SI: Add a MachineMemOperand when lowering llvm.amdgcn.buffer.load.*.
tstellarAMD updated this object.
tstellarAMD added a subscriber: llvm-commits.
arsenm accepted this revision.Dec 17 2016, 7:40 PM
arsenm edited edge metadata.

LGTM except for minor fixes

lib/Target/AMDGPU/SIISelLowering.cpp
2720 ↗(On Diff #81692)

Trailing comma

lib/Target/AMDGPU/SIMachineFunctionInfo.h
489 ↗(On Diff #81692)

const ,const. You can probably return const &

493–495 ↗(On Diff #81692)

ditto

test/CodeGen/AMDGPU/llvm.amdgcn.buffer.load.ll
117 ↗(On Diff #81692)

CHECK-LABEL, should also end with :

This revision is now accepted and ready to land.Dec 17 2016, 7:40 PM
tstellarAMD marked 3 inline comments as done.Dec 20 2016, 8:36 AM
tstellarAMD added inline comments.
lib/Target/AMDGPU/SIMachineFunctionInfo.h
489 ↗(On Diff #81692)

I left that as returning a pointer, because that's what MachinePointerInfo expects and that matches what the PseudoSourceValue::get*() functions do.

This revision was automatically updated to reflect the committed changes.